Skip to content
Get started

Updates store product properties (min/max, prices, forecast, attention codes, replenishment, etc.) for one or more products at a store.

PUT/api/v2/public/stores/{store_number}/storeproducts

Updates store product properties (min/max, prices, forecast, attention codes, replenishment, etc.) for one or more products at a store.

Path ParametersExpand Collapse
store_number: string
Body ParametersJSONExpand Collapse
body: optional array of object { product_number, attention_codes, average_array, 18 more }
product_number: string
attention_codes: optional array of string
average_array: optional array of number
average_keys: optional array of string
default_salesorder_type: optional string
demand_until_delivery: optional number
formatfloat
discount_price: optional number
formatfloat
expiry_date_time: optional string
formatdate-time
forecast_array: optional array of number
forecast_keys: optional array of string
history_array: optional array of number
history_keys: optional array of string
is_promotion: optional boolean
is_replenishment: optional boolean
max: optional number
formatint32
min: optional number
formatint32
next_delivery_date: optional string
formatdate-time
next_ordering_date: optional string
formatdate-time
order_level: optional number
formatfloat
price: optional number
formatfloat
validate_expiry_date_time: optional string
formatdate-time
ReturnsExpand Collapse
data: optional string

Optional data payload returned by the operation.

message: optional string

Human-readable message describing the result.

success: optional boolean

Indicates whether the operation completed successfully.

Updates store product properties (min/max, prices, forecast, attention codes, replenishment, etc.) for one or more products at a store.

curl https://api.colleqtive.net/api/v2/public/stores/$STORE_NUMBER/storeproducts \
    -X PUT \
    -H "Authorization: $COLLEQTIVE_BEARER_TOKEN"
{
  "data": "12345",
  "message": "Record created successfully.",
  "success": true
}
Returns Examples
{
  "data": "12345",
  "message": "Record created successfully.",
  "success": true
}